Bug 52024 - Can't connect to ppp server
Can't connect to ppp server
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-08-18 21:10 EDT by Need Real Name
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-13 05:30:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-18 21:10:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.14-5.0 i586; Nav)

Description of problem:
When a ppp client connects to a ppp server running under Redhat 7.1, the
modems negotiate the carrier signals, and then the server hangs up.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Have one machine try to connect to a Redhat 7.1 ppp server via a modem
and login with the userid ppp.

Actual Results:  The ppp server hung up on the ppp client.

Expected Results:  The ppp server should have completed the login process
and allowed a ppp connectioin to be established.

Additional info:

I got the following output from syslog.

pppd[1891]: using the noauth option requires root privilege
login(pam_unix)[1879]: session closed for user ppp
mgetty[7881]: TIOCMBIS failed: Input/output error
mgetty[7881]: cannot turn off soft carrier: Input/output error
mgetty[7881]: tcgetattr failed: Input/output error
mgetty[7881]: cannot get TIO: Input/output error
mgetty[7881]: init chat failed, exiting...: Invalid argument
mgetty[7881]: failed in mg_init_data, dev=ttyS5, pid=7881
mgetty[7882]: failed dev=ttyS5, pid=7882, got signal 15, exiting

I was able to work around this problem by taking the 'noauth' command line
option out of the 2 /usr/sbin/pppd commmands starting at line 74 of
Comment 1 Thomas Woerner 2004-08-13 05:30:07 EDT
Please verify this with a newer version of Red Hat Enterprise Linux or Fedora
Core and reopen it against the new version if it still occurs.

Closing as "not a bug" for now.

Note You need to log in before you can comment on or make changes to this bug.